Subject: bug#15690: [platform-testers] new snapshot available: grep-2.14.51-7a35

From: Paul Eggert <[email-masked]>
Date: Wed, 23 Oct 2013 11:37:23 -0700

On 10/23/13 01:20, Dagobert Michelsen wrote:
> Nope, but we are using git to apply our downstream patches.

Ah, sorry, I'd forgotten about that.
But this problem should be fixed now, given that we've
applied this patch to grep:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=cf70364d5980d76c189ce841b5283f5644a017de

And I can't reproduce the problem on my Solaris 10 sparc
machine (Sun C 5.12 2011/11/16), when I configure this way:

./configure CC=cc --enable-gcc-warnings

Configure outputs a whole bunch of lines like this:

checking whether C compiler handles -Wwrite-strings... no
checking whether C compiler handles -fdiagnostics-show-option... no
checking whether C compiler handles -funit-at-a-time... no

Does it not work that way for you?

There must be something else going on, on your
platform, and I'm not sure what it would be.